package rpgEngine.Data.Abstract;

public class CharacterStats {
	private Integer MaxHP;
	private Integer MaxMP;
	private Integer HP;
	private Integer MP;
	private Integer attack;
	private Integer defense;
	private Integer skill;
	private Integer barrier;
	
	public CharacterStats() {
		this(0,0,0,0,0,0);
	}
	
	public CharacterStats(Integer hp, Integer mp, Integer atk, Integer def, Integer skl, Integer bar) {
		HP = hp;
		MP = mp;
		MaxHP = hp;
		MaxMP = mp;
		attack = atk;
		defense = def;
		skill = skl;
		barrier = bar;
	}

	public Integer getHP() {
		return HP;
	}

	public void setHP(Integer hP) {
		HP = hP;
	}

	public Integer getMP() {
		return MP;
	}

	public void setMP(Integer mP) {
		MP = mP;
	}

	public Integer getAttack() {
		return attack;
	}

	public void setAttack(Integer attack) {
		this.attack = attack;
	}

	public Integer getDefense() {
		return defense;
	}

	public void setDefense(Integer defense) {
		this.defense = defense;
	}

	public Integer getSkill() {
		return skill;
	}

	public void setSkill(Integer skill) {
		this.skill = skill;
	}

	public Integer getBarrier() {
		return barrier;
	}

	public void setBarrier(Integer barrier) {
		this.barrier = barrier;
	}

	public Integer getMaxHP() {
		return MaxHP;
	}

	public void setMaxHP(Integer maxHP) {
		MaxHP = maxHP;
	}

	public Integer getMaxMP() {
		return MaxMP;
	}

	public void setMaxMP(Integer maxMP) {
		MaxMP = maxMP;
	}
	
	
	
}
